package com.webchat.domain.vo.response;

import lombok.Data;

/**
 * @Author: 程序员王七七 https://www.coderutil.com 网站作者
 * @Date: 2021-7-25 0025 13:36
 * @Description: 无描述信息
 */
@Data
public class ResourceBaseInfoVO {

    private Long resourceId;

    private String author;

    private String content;

    private String firstImage;

    private String detailUrl;


    public static ResourceBaseInfoVO of(Long resourceId, String author, String content, String detailUrl) {
        ResourceBaseInfoVO resourceBaseInfo = new ResourceBaseInfoVO();
        resourceBaseInfo.setResourceId(resourceId);
        resourceBaseInfo.setAuthor(author);
        resourceBaseInfo.setContent(content);
        resourceBaseInfo.setDetailUrl(detailUrl);
        return resourceBaseInfo;
    }
}
